pipeline {
    agent any

    stages {
        stage('Checkout') {
            steps {
                // Jenkins va prelua codul sursă din depozitul Git
                echo 'Se descarca codul...'
            }
        }

        stage('Build Docker Image') {
            steps {
                script {
                    // Construim imaginea și îi dăm un nume (tag)
                    sh 'cd project1 && docker build -f Dockerfile -t web-checker-app .'
                }
            }
        }

        stage('Run Checker') {
            steps {
                script {
                    // Rulăm containerul
                    sh 'docker run --rm web-checker-app'
                }
            }
        }
    }
}